<?php
class Skelet_Plugin_Status {

    public static function create_table() {
        global $wpdb;
        $table_name = $wpdb->prefix . 'skelet_plugin_status';
        
        $charset_collate = $wpdb->get_charset_collate();
        
        $sql = "CREATE TABLE $table_name (
            id mediumint(9) NOT NULL AUTO_INCREMENT,
            api_key varchar(255) NOT NULL,
            PRIMARY KEY  (id)
        ) $charset_collate;";
        
        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
        dbDelta($sql);
    }    

    public static function add($api_key) {
        global $wpdb;
        $table_name = $wpdb->prefix . 'skelet_plugin_status';
    
        // Check if the row already exists
        $existing_row = $wpdb->get_var("SELECT api_key FROM $table_name");
    
        if ($existing_row) {
            // Update the existing row
            $wpdb->update(
                $table_name,
                array('api_key' => $api_key),
                array('api_key' => $existing_row),
                array('%s'),
                array('%s')
            );
        } else {
            // Insert a new row
            $wpdb->insert(
                $table_name,
                array('api_key' => $api_key),
                array('%s')
            );
        }
    }

    public static function delete() {
        global $wpdb;
        $table_name = $wpdb->prefix . 'skelet_plugin_status';
    
        // Delete the only row in the table
        $wpdb->query("DELETE FROM $table_name");
    }

    public static function row_exists() {
        global $wpdb;
        $table_name = $wpdb->prefix . 'skelet_plugin_status';

        // Check if any row exists
        return $wpdb->get_var("SELECT COUNT(*) FROM $table_name") > 0;
    }

    public static function get() {
        global $wpdb;
        $table_name = $wpdb->prefix . 'skelet_plugin_status';
        
        // Get the api_key from the table
        return $wpdb->get_var("SELECT api_key FROM $table_name LIMIT 1");
    }

    public static function delete_table() {
        global $wpdb;
        $table_name = $wpdb->prefix . 'skelet_plugin_status';

        // Drop the table
        $wpdb->query("DROP TABLE IF EXISTS $table_name");
    }
}
?>