<?php
if ( ! defined( 'ABSPATH' ) ) exit;

// Css
function skelet_admin_styles(){
	wp_enqueue_style('skelet-admin-css', plugins_url('/css/admin.css', SKELET_FILE));
}
add_action('admin_enqueue_scripts', 'skelet_admin_styles');

// Js
function skelet_custom_scripts() {
	wp_enqueue_script('skelet-admin-js', plugins_url('/js/admin.js', SKELET_FILE), array('jquery'), '1.02', true);
	$nonce = wp_create_nonce('skelet_nonce');

	wp_localize_script('skelet-admin-js', 'skelet_ajax_object', array(
		'ajaxurl' => admin_url('admin-ajax.php'),
		'skelet_nonce' => $nonce,
	));
}
add_action('admin_enqueue_scripts', 'skelet_custom_scripts');

add_action('rest_api_init', function () { 
    register_rest_route('skelet/v1', '/publish_post', array(
        'methods'             => 'POST',
        'callback'            => 'skelet_publish_exported_article',
    ));
});

add_action('rest_pre_serve_request', function () {
    $allowed_origins = [
        'http://localhost:3000', 
        'https://skelet.ai', 
        'https://skeletai.vercel.app',
    ];

    // Get the origin of the request
    $origin = isset($_SERVER['HTTP_ORIGIN']) ? $_SERVER['HTTP_ORIGIN'] : '';

    // Check if the origin is in the allowed origins list
    if (in_array($origin, $allowed_origins)) {
        // Set the Access-Control-Allow-Origin header only if the origin is allowed
        header('Access-Control-Allow-Origin: ' . $origin);
    }

    // Allow specific methods (POST, GET, etc.)
    header('Access-Control-Allow-Methods: POST'); // Allow POST requests

    // Allow specific headers
    header('Access-Control-Allow-Headers: api_key, Content-Type, Authorization'); // Added Authorization header for security

    // Allow credentials (if necessary, e.g., for cookies or authentication)
    header('Access-Control-Allow-Credentials: true');

    // Handle preflight OPTIONS request
    if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
        status_header(200); // Send a 200 OK response for OPTIONS request
        exit;
    }
});

