jQuery(document).ready(function($) {
    $('#skelet_api_verification').on('submit', function(e) {
        e.preventDefault();
        var apiKey = $('#skelet_api_key').val() || '';
        var status = $('#skelet_api_status').val() || '';
        var userId = $('#skelet_user_id').val() || '';

        $.ajax({
            url: ajaxurl,
            type: 'POST',
            data: {
                action: 'verify_skelet_api_key',
                skelet_nonce: skelet_ajax_object.skelet_nonce,
                api_key: apiKey,
                status: status,
                user_id: userId,
            },
            success: function(response) {
                var responseElement = $('#skelet_response');
                responseElement.removeClass('error');

                if (response.success) {
                    responseElement.text(response.data);
                    $('#skelet_api_verification').hide();
                    window.location.href = '/wp-admin/admin.php?page=skelet-info';
                } else {
                    responseElement.addClass('error');
                    responseElement.text('Error: ' + response.data);
                }
            },
            error: function() {
                var responseElement = $('#skelet_response');
                responseElement.addClass('error');
                responseElement.text('An error occurred while verifying the API key.');
            }
        });
    });
    $('#skelet_full_blog_generator #keywords').click(function(e){
        e.preventDefault();
        $('.skelet_input_container').hide();
        $('#keywords-input').show();
    });
    $('#skelet_full_blog_generator #goals').click(function(e){
        e.preventDefault();
        $('.skelet_input_container').hide();
        $('#goals-input').show();
    });
    $('#skelet_full_blog_generator #target').click(function(e){
        e.preventDefault();
        $('.skelet_input_container').hide();
        $('#target-input').show();
    });

    $('.skelet_input_container .close').click(function(){
        $(this).parent().hide();
    });

    // Generate content
    $('#skelet_full_blog_generator').on('submit', function(e) {
        e.preventDefault();
        $('.skelet_loading ').addClass('active');

        var title = $(this).find('textarea').val();
        var keywords = $(this).find('input[name="keywords"]').val();
        var goal = $(this).find('input[name="goals"]').val();
        var tone = $(this).find('#tone').val();
        var post_type = $('input[name="post_type"]').val();

        $.ajax({
            url: ajaxurl,
            type: 'POST',
            data: {
                action: 'skelet_generate_content',
                skelet_nonce: skelet_ajax_object.skelet_nonce,
                title: title,
                keywords: keywords,
                goal: goal,
                tone: tone,
                post_type: post_type
            },
            success: function(response) {
                if (response.success) {
                    window.location.href = response.data.redirect_url;
                }else{
                    $('.skelet_loading ').removeClass('active');
                    var responseElement = $('#skelet_response');
                    responseElement.addClass('error');
                    responseElement.text('An error occurred. Please try again later or visit the Skelet.ai support page for assistance.');
                }
            },
            error: function() {
                $('.skelet_loading ').removeClass('active');
                var responseElement = $('#skelet_response');
                responseElement.addClass('error');
                responseElement.text('An error occurred. Please try again later or visit the Skelet.ai support page for assistance.');
            }
        });
    });

    $('#open_skelet_popup').on('click', function(e){
        e.preventDefault();
        $('#skelet_popup').addClass('active');
    });

    $('#skelet_close_popup').on('click', function(e){
        e.preventDefault();
        $('#skelet_popup').removeClass('active');
    })

});
