<?php
/**
 * Plugin Name: Skelet Ai
 * Plugin URI: https://skelet.ai
 * Description: Tap into ever-growing creativity with our AI Generator library.
 * Version: 1.4
 * Author: skeletai
 * Author URI: https://profiles.wordpress.org/skeletai
 * License: GPLv2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/

if (!defined('ABSPATH'))
	die();

/**
 * Abort plugin loading if WordPress is upgrading
 */
if (defined('WP_INSTALLING') && WP_INSTALLING)
	return;

define('SKELET_PREFIX', 'SKELET_');
define('SKELET_FILE', __FILE__);
define('SKELET_DIR', dirname(__FILE__));
define('SKELET_INC_DIR', dirname(__FILE__) . '/inc');
define('SKELET_CLASSES_DIR', dirname(__FILE__) . '/classes');
define('SKELET_TEMPLATES_DIR', dirname(__FILE__) . '/templates');

// require_once (SKELET_CLASSES_DIR . '/example.php' ); example of class import

require_once (SKELET_INC_DIR . '/functions.php');
require_once (SKELET_INC_DIR . '/admin-pages.php');
require_once (SKELET_INC_DIR . '/helpers.php');
require_once (SKELET_INC_DIR . '/ajax.php');
require_once (SKELET_CLASSES_DIR . '/skelet_plugin_status.php');

// Hook into the plugin activation event
register_activation_hook(__FILE__, 'skelet_create_plugin_status_table');

// Activation hook callback function
function skelet_create_plugin_status_table() {
    Skelet_Plugin_Status::create_table();
}

// Hook into the plugin deactivation event
register_deactivation_hook(__FILE__, 'skelet_delete_plugin_status_table');

// Deactivation hook callback function
function skelet_delete_plugin_status_table() {
    Skelet_Plugin_Status::delete_table();
}